hpp-corbaserver: _objref_ConfigurationConstraint Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_ConfigurationConstraint Class Reference

`#include <hpp/constraints_idl/constraints-idl.hh>`

Inheritance diagram for _objref_ConfigurationConstraint:
[legend]
Collaboration diagram for _objref_ConfigurationConstraint:
[legend]

## Public Member Functions
floatSeq * | getWeights ()
void | setWeights (const ::hpp::floatSeq &weights)
floatSeq * | getGoal ()
| _objref_ConfigurationConstraint ()
| _objref_ConfigurationConstraint (omniIOR *, omniIdentity *)
Public Member Functions inherited from _objref_DifferentiableFunction
floatSeq * | value (const ::hpp::floatSeq &arg)
floatSeqSeq * | jacobian (const ::hpp::floatSeq &arg)
size_type | inputSize ()
size_type | inputDerivativeSize ()
size_type | outputSize ()
size_type | outputDerivativeSize ()
char * | name ()
char * | str ()
| _objref_DifferentiableFunction ()
| _objref_DifferentiableFunction (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_ConfigurationConstraint ()
Protected Member Functions inherited from _objref_DifferentiableFunction
virtual | ~_objref_DifferentiableFunction ()

## Friends
class | ConfigurationConstraint

## Constructor & Destructor Documentation

## ◆ _objref_ConfigurationConstraint() [1/2]

_objref_ConfigurationConstraint::_objref_ConfigurationConstraint | ( |  | ) |
| inline

## ◆ _objref_ConfigurationConstraint() [2/2]

_objref_ConfigurationConstraint::_objref_ConfigurationConstraint | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_ConfigurationConstraint()

virtual _objref_ConfigurationConstraint::~_objref_ConfigurationConstraint | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ getGoal()

floatSeq * _objref_ConfigurationConstraint::getGoal | ( |  | ) |

## ◆ getWeights()

floatSeq * _objref_ConfigurationConstraint::getWeights | ( |  | ) |

## ◆ setWeights()

void _objref_ConfigurationConstraint::setWeights | ( | const ::hpp::floatSeq & | weights | ) |

## Friends And Related Symbol Documentation

## ◆ ConfigurationConstraint

friend class ConfigurationConstraint
| friend

The documentation for this class was generated from the following file:

- src/hpp/constraints_idl/constraints-idl.hh